# Copyright (c) Meta Platforms, Inc. and affiliates.
# All rights reserved.
#
# This source code is licensed under the BSD-style license found in the
# LICENSE file in the root directory of this source tree.

image_to_nchw:
  parameter_names_with_default_values:
    DTYPE: float
    STORAGE: texture3d
    TO_STAGING: True
  generate_variant_forall:
    DTYPE:
      - VALUE: half
      - VALUE: float
      - VALUE: int
      - VALUE: int8
  shader_variants:
    - NAME: image_to_nchw_texture3d
    - NAME: image_to_nchw_texture2d
      STORAGE: texture2d
    - NAME: clone_image_to_buffer
      TO_STAGING: False
